gtkmm 2.4: Gtk::IconView Class Reference

Main Page Widgets Namespaces Book

# Gtk::IconView Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::IconView:

[legend]
List of all members.

## Detailed Description

TODO.

## Public Types
typedef Glib::ListHandle< TreePath, TreePathTraits > | ArrayHandle_TreePaths
typedef sigc::slot< void, const TreeModel::Path& > | SlotForeach
| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.
## Public Member Functions
int | get_column_spacing () const
| Returns the value of the column-spacing property.
int | get_columns () const
| Returns the value of the columns property.
bool | get_cursor (CellRenderer*& cell) const
bool | get_cursor (TreeModel::Path& path) const
bool | get_cursor (TreeModel::Path& path, CellRenderer*& cell) const
int | get_icon_width () const
| Returns the value of the item-width property.
bool | get_item_at_pos (int x, int y, CellRenderer*& cell) const
bool | get_item_at_pos (int x, int y, TreeModel::Path& path) const
bool | get_item_at_pos (int x, int y, TreeModel::Path& path, CellRenderer*& cell) const
int | get_margin () const
| Returns the value of the margin property.
int | get_markup_column () const
| Returns the column with markup text for icon_view .
Glib::RefPtr<const TreeModel> | get_model () const
| Returns the model the Gtk::IconView is based on.
Glib::RefPtr<TreeModel> | get_model ()
| Returns the model the Gtk::IconView is based on.
Orientation | get_orientation () const
| Returns the value of the orientation property which determines whether the labels are drawn beside the icons instead of below.
TreeModel::Path | get_path_at_pos (int x, int y) const
| Finds the path at the point ( x , y ), relative to widget coordinates.
int | get_pixbuf_column () const
| Returns the column with pixbufs for icon_view .
gint | get_row_spacing () const
| Returns the value of the row-spacing property.
ArrayHandle_TreePaths | get_selected_items () const
| Creates a list of paths of all selected items.
SelectionMode | get_selection_mode () const
| Gets the selection mode of the icon_view .
int | get_spacing () const
| Returns the value of the spacing property.
int | get_text_column () const
| Returns the column with text for icon_view .
bool | get_visible_range (TreeModel::Path& start_path, TreeModel::Path& end_path) const
const GtkIconView* | gobj () const
| Provides access to the underlying C GtkObject.
GtkIconView* | gobj ()
| Provides access to the underlying C GtkObject.
| IconView (const Glib::RefPtr<TreeModel>& model)
| IconView ()
void | item_activated (const TreeModel::Path& path)
| Activates the item determined by path .
bool | path_is_selected (const TreeModel::Path& path) const
| Returns `true` if the icon pointed to by path is currently selected.
void | scroll_to_path (const TreeModel::Path& path, bool use_align, gfloat row_align, gfloat col_align)
| Moves the alignments of icon_view to the position specified by path .
void | select_all ()
| Selects all the icons.
void | select_path (const TreeModel::Path& path)
| Selects the row at path .
void | selected_foreach (const SlotForeach& slot)
| Calls a function for each selected icon.
void | set_column_spacing (int column_spacing)
| Sets the column-spacing property which specifies the space which is inserted between the columns of the icon view.
void | set_columns (int columns)
| Sets the columns property which determines in how many columns the icons are arranged.
void | set_cursor (const TreeModel::Path& path, CellRenderer& cell, bool start_editing)
void | set_item_width (int item_width)
| Sets the item-width property which specifies the width to use for each item.
void | set_margin (int margin)
| Sets the margin property which specifies the space which is inserted at the top, bottom, left and right of the icon view.
void | set_markup_column (const TreeModelColumnBase& column)
| Sets the column with markup information for icon_view to be column .
void | set_markup_column (int column)
| Sets the column with markup information for icon_view to be column .
void | set_model (const Glib::RefPtr<TreeModel>& model)
| Sets the model for a Gtk::IconView.
void | set_orientation (Orientation orientation)
| Sets the orientation property which determines whether the labels are drawn beside the icons instead of below.
void | set_pixbuf_column (const TreeModelColumnBase& column)
| Sets the column with pixbufs for icon_view to be column .
void | set_pixbuf_column (int column)
| Sets the column with pixbufs for icon_view to be column .
void | set_row_spacing (int row_spacing)
| Sets the row-spacing property which specifies the space which is inserted between the rows of the icon view.
void | set_selection_mode (SelectionMode mode)
| Sets the selection mode of the icon_view .
void | set_spacing (int spacing)
| Sets the spacing property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.
void | set_text_column (const TreeModelColumnBase& model_column)
| Sets the column with text for icon_view to be column .
void | set_text_column (int column)
| Sets the column with text for icon_view to be column .
Glib::SignalProxy1< void, const TreeModel::Path& > | signal_item_activated ()
Glib::SignalProxy0<void> | signal_selection_changed ()
Glib::SignalProxy2< void, Adjustment*, Adjustment* > | signal_set_scroll_adjustments ()
void | unselect_all ()
| Unselects all the icons.
void | unselect_path (const TreeModel::Path& path)
| Unselects the row at path .
virtual | ~IconView ()
## Related Functions
(Note that these are not member functions.)
Gtk::IconView* | wrap (GtkIconView* object, bool take_copy=false)

## Member Typedef Documentation

typedef Glib::ListHandle<TreePath, TreePathTraits> Gtk::IconView::ArrayHandle_TreePaths

typedef sigc::slot<void, const TreeModel::Path&> Gtk::IconView::SlotForeach

| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.

## Constructor & Destructor Documentation

virtual Gtk::IconView::~IconView | ( |  | ) | `[virtual]`

Gtk::IconView::IconView | ( |  | ) |

Gtk::IconView::IconView | ( | const Glib::RefPtr<TreeModel>& | model | ) | `[explicit]`

## Member Function Documentation

int Gtk::IconView::get_column_spacing | ( |  | ) | const

| Returns the value of the column-spacing property. Returns: The space between columns Since gtkmm 2.6:

int Gtk::IconView::get_columns | ( |  | ) | const

| Returns the value of the columns property. Returns: The number of columns, or -1 Since gtkmm 2.6:

bool Gtk::IconView::get_cursor | ( | CellRenderer*& | cell | ) | const

bool Gtk::IconView::get_cursor | ( | TreeModel::Path& | path | ) | const

bool Gtk::IconView::get_cursor | ( | TreeModel::Path& | path,
|  | CellRenderer*& | cell
| ) | const

int Gtk::IconView::get_icon_width | ( |  | ) | const

| Returns the value of the item-width property. Returns: The width of a single item, or -1 Since gtkmm 2.6:

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | CellRenderer*& | cell
| ) | const

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path& | path
| ) | const

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path& | path,
|  | CellRenderer*& | cell
| ) | const

int Gtk::IconView::get_margin | ( |  | ) | const

| Returns the value of the margin property. Returns: The space at the borders Since gtkmm 2.6:

int Gtk::IconView::get_markup_column | ( |  | ) | const

| Returns the column with markup text for icon_view . Returns: The markup column, or -1 if it's unset. Since gtkmm 2.6:

Glib::RefPtr<const TreeModel> Gtk::IconView::get_model | ( |  | ) | const

| Returns the model the Gtk::IconView is based on. Returns `0` if the model is unset. Returns: A Gtk::TreeModel, or `0` if none is currently being used. Since gtkmm 2.6:

Glib::RefPtr<TreeModel> Gtk::IconView::get_model | ( |  | ) |

| Returns the model the Gtk::IconView is based on. Returns `0` if the model is unset. Returns: A Gtk::TreeModel, or `0` if none is currently being used. Since gtkmm 2.6:

Orientation Gtk::IconView::get_orientation | ( |  | ) | const

| Returns the value of the orientation property which determines whether the labels are drawn beside the icons instead of below. Returns: The relative position of texts and icons Since gtkmm 2.6:

TreeModel::Path Gtk::IconView::get_path_at_pos | ( | int | x,
|  | int | y
| ) | const

  | Finds the path at the point ( x , y ), relative to widget coordinates. See get_item_at_pos(), if you are also interested in the cell at the specified position. Parameters:
  | x | The x position to be identified.
  | y | The y position to be identified.
Returns: The Gtk::TreePath corresponding to the icon or `0` if no icon exists at that position. Since gtkmm 2.6:

int Gtk::IconView::get_pixbuf_column | ( |  | ) | const

| Returns the column with pixbufs for icon_view . Returns: The pixbuf column, or -1 if it's unset. Since gtkmm 2.6:

gint Gtk::IconView::get_row_spacing | ( |  | ) | const

| Returns the value of the row-spacing property. Returns: The space between rows Since gtkmm 2.6:

ArrayHandle_TreePaths Gtk::IconView::get_selected_items | ( |  | ) | const

| Creates a list of paths of all selected items. Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of Gtk::TreeRowReference<!-- -->s. To do this, you can use Gtk::Tree::row_reference_new(). To free the return value, use:
     g_list_foreach (list, gtk_tree_path_free, <tt>0</tt>);
     g_list_free (list);
Returns: A G::List containing a Gtk::TreePath for each selected row. Since gtkmm 2.6:

SelectionMode Gtk::IconView::get_selection_mode | ( |  | ) | const

| Gets the selection mode of the icon_view . Returns: The current selection mode Since gtkmm 2.6:

int Gtk::IconView::get_spacing | ( |  | ) | const

| Returns the value of the spacing property. Returns: The space between cells Since gtkmm 2.6:

int Gtk::IconView::get_text_column | ( |  | ) | const

| Returns the column with text for icon_view . Returns: The text column, or -1 if it's unset. Since gtkmm 2.6:

bool Gtk::IconView::get_visible_range | ( | TreeModel::Path& | start_path,
|  | TreeModel::Path& | end_path
| ) | const

const GtkIconView* Gtk::IconView::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

GtkIconView* Gtk::IconView::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

void Gtk::IconView::item_activated | ( | const TreeModel::Path& | path | ) |

  | Activates the item determined by path . Since gtkmm 2.6: Parameters:
  | path | The Gtk::TreePath to be activated.

bool Gtk::IconView::path_is_selected | ( | const TreeModel::Path& | path | ) | const

  | Returns `true` if the icon pointed to by path is currently selected. If icon does not point to a valid location, `false` is returned. Parameters:
  | path | A Gtk::TreePath to check selection on.
Returns: `true` if path is selected. Since gtkmm 2.6:

void Gtk::IconView::scroll_to_path | ( | const TreeModel::Path& | path,
|  | bool | use_align,
|  | gfloat | row_align,
|  | gfloat | col_align
| ) |

  | Moves the alignments of icon_view to the position specified by path . row_align determines where the row is placed, and col_align determines where column is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center. If use_align is `false`, then the alignment arguments are ignored, and the tree does the minimum amount of work to scroll the item onto the screen. This means that the item will be scrolled to the edge closest to its current position. If the item is currently visible on the screen, nothing is done. This function only works if the model is set, and path is a valid row on the model. If the model changes before the icon_view is realized, the centered path will be modified to reflect this change. Since gtkmm 2.8: Parameters:
  | path | The path of the item to move to.
  | use_align | Whether to use alignment arguments, or `false`.
  | row_align | The vertical alignment of the item specified by path .
  | col_align | The horizontal alignment of the item specified by path .

void Gtk::IconView::select_all | ( |  | ) |

| Selects all the icons. icon_view must has its selection mode set to Gtk::SELECTION_MULTIPLE. Since gtkmm 2.6:

void Gtk::IconView::select_path | ( | const TreeModel::Path& | path | ) |

  | Selects the row at path . Since gtkmm 2.6: Parameters:
  | path | The Gtk::TreePath to be selected.

void Gtk::IconView::selected_foreach | ( | const SlotForeach& | slot | ) |

  | Calls a function for each selected icon. Note that the model or selection cannot be modified from within this function. Parameters:
  | slot | The callback to call for each selected icon.

void Gtk::IconView::set_column_spacing | ( | int | column_spacing | ) |

  | Sets the column-spacing property which specifies the space which is inserted between the columns of the icon view. Since gtkmm 2.6: Parameters:
  | column_spacing | The column spacing.

void Gtk::IconView::set_columns | ( | int | columns | ) |

  | Sets the columns property which determines in how many columns the icons are arranged. If columns is -1, the number of columns will be chosen automatically to fill the available area. Since gtkmm 2.6: Parameters:
  | columns | The number of columns.

void Gtk::IconView::set_cursor | ( | const TreeModel::Path& | path,
|  | CellRenderer& | cell,
|  | bool | start_editing
| ) |

void Gtk::IconView::set_item_width | ( | int | item_width | ) |

  | Sets the item-width property which specifies the width to use for each item. If it is set to -1, the icon view will automatically determine a suitable item size. Since gtkmm 2.6: Parameters:
  | item_width | The width for each item.

void Gtk::IconView::set_margin | ( | int | margin | ) |

  | Sets the margin property which specifies the space which is inserted at the top, bottom, left and right of the icon view. Since gtkmm 2.6: Parameters:
  | margin | The margin.

void Gtk::IconView::set_markup_column | ( | const TreeModelColumnBase& | column | ) |

  | Sets the column with markup information for icon_view to be column . The markup column must be of type G::TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column(). Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

void Gtk::IconView::set_markup_column | ( | int | column | ) |

  | Sets the column with markup information for icon_view to be column . The markup column must be of type G::TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column(). Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

void Gtk::IconView::set_model | ( | const Glib::RefPtr<TreeModel>& | model | ) |

  | Sets the model for a Gtk::IconView. If the icon_view already has a model set, it will remove it before setting the new model. If model is `0`, then it will unset the old model. Since gtkmm 2.6: Parameters:
  | model | The model.

void Gtk::IconView::set_orientation | ( | Orientation | orientation | ) |

  | Sets the orientation property which determines whether the labels are drawn beside the icons instead of below. Since gtkmm 2.6: Parameters:
  | orientation | The relative position of texts and icons.

void Gtk::IconView::set_pixbuf_column | ( | const TreeModelColumnBase& | column | ) |

  | Sets the column with pixbufs for icon_view to be column . The pixbuf column must be of type Gdk::TYPE_PIXBUF Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

void Gtk::IconView::set_pixbuf_column | ( | int | column | ) |

  | Sets the column with pixbufs for icon_view to be column . The pixbuf column must be of type Gdk::TYPE_PIXBUF Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

void Gtk::IconView::set_row_spacing | ( | int | row_spacing | ) |

  | Sets the row-spacing property which specifies the space which is inserted between the rows of the icon view. Since gtkmm 2.6: Parameters:
  | row_spacing | The row spacing.

void Gtk::IconView::set_selection_mode | ( | SelectionMode | mode | ) |

  | Sets the selection mode of the icon_view . Since gtkmm 2.6: Parameters:
  | mode | The selection mode.

void Gtk::IconView::set_spacing | ( | int | spacing | ) |

  | Sets the spacing property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item. Since gtkmm 2.6: Parameters:
  | spacing | The spacing.

void Gtk::IconView::set_text_column | ( | const TreeModelColumnBase& | model_column | ) |

  | Sets the column with text for icon_view to be column . The text column must be of type G::TYPE_STRING. Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

void Gtk::IconView::set_text_column | ( | int | column | ) |

  | Sets the column with text for icon_view to be column . The text column must be of type G::TYPE_STRING. Since gtkmm 2.6: Parameters:
  | column | A column in the currently used model.

Glib::SignalProxy1<void,const TreeModel::Path&> Gtk::IconView::signal_item_activated | ( |  | ) |

| Prototype: `void item_activated(const TreeModel::Path& path)`

Glib::SignalProxy0<void> Gtk::IconView::signal_selection_changed | ( |  | ) |

| Prototype: `void selection_changed()`

Glib::SignalProxy2<void,Adjustment*,Adjustment*> Gtk::IconView::signal_set_scroll_adjustments | ( |  | ) |

| Prototype: `void set_scroll_adjustments(Adjustment* hadjustment, Adjustment* vadjustment)`

void Gtk::IconView::unselect_all | ( |  | ) |

| Unselects all the icons. Since gtkmm 2.6:

void Gtk::IconView::unselect_path | ( | const TreeModel::Path& | path | ) |

  | Unselects the row at path . Since gtkmm 2.6: Parameters:
  | path | The Gtk::TreePath to be unselected.

## Friends And Related Function Documentation

Gtk::IconView* wrap | ( | GtkIconView* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- iconview.h